add_library(stmTranslator bsl_nucleo_f042k6.cpp)

target_compile_options(stmTranslator PRIVATE ${C_FLAGS})
target_compile_definitions(stmTranslator PRIVATE ${C_DEFS})
target_include_directories(stmTranslator PUBLIC ${CMAKE_CURRENT_SOURCE_DIR} ${CSL_INCLUDES})

add_library(sub::translator ALIAS stmTranslator)
